# TODO: split plugins, like in upstream debian packaging?
Summary:	XApp Thumbnailers - a collection of thumbnail generators
Summary(pl.UTF-8):	XApp Thumbnailers - zbiór generatorów miniaturek
Name:		xapp-thumbnailers
Version:	1.2.6
Release:	1
License:	GPL v3+
Group:		X11/Applications/Graphics
#Source0Download: https://github.com/linuxmint/xapp-thumbnailers/tags
Source0:	https://github.com/linuxmint/xapp-thumbnailers/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	f16a40ca55b6c9967efb527058bb4f13
URL:		https://github.com/linuxmint/xapp-thumbnailers
BuildRequires:	meson >= 0.49.0
BuildRequires:	ninja >= 1.5
BuildRequires:	python3 >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.042
# common
Requires:	python3 >= 1:3.2
Requires:	python3-pillow
Requires:	python3-xapps-overrides >= 2.4.2
# xapp-appimage-thumbnailer
Requires:	python3-elftools
Requires:	squashfs
# xapp-gimp-thumbnailer
Requires:	gimp
# xapp-jxl-thumbnailer
Requires:	libjxl-tools
# xapp-mp3-thumbnailer
Requires:	python3-eyeD3
# xapp-raw-thumbnailer
Requires:	dcraw
# xapp-vorbiscomment-thumbnailer
Requires:	python3-mutagen
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A collection of thumbnail generators. Like all XApp projects, this is
compatible with all Linux distributions and open to all Gtk desktop
environments.

All file managers which are compatible with /usr/share/thumbnailers
thumbnailers are supported:
- Caja (MATE)
- Nautilus (GNOME)
- Nemo (Cinnamon)
- PCManFM (LXDE)
- Thunar (Xfce)

%description -l pl.UTF-8
Zbiór generatorów miniaturek. Jak wszystkie projekty XApp jest zgodny
ze wszystkimi dystrybucjami Linuksa i współpracuje ze wszystkimi
środowiskami graficznymi Gtk.

Obsługiwane są wszystkie aplikacje do zarządzania plikami z obsługą
generatorów przez /usr/share/thumbnailers:
- Caja (MATE)
- Nautilus (GNOME)
- Nemo (Cinnamon)
- PCManFM (LXDE)
- Thunar (Xfce)

%prep
%setup -q

%build
%meson

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%py3_comp $RPM_BUILD_ROOT%{py3_sitescriptdir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitescriptdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md debian/changelog
%attr(755,root,root) %{_bindir}/xapp-appimage-thumbnailer
%attr(755,root,root) %{_bindir}/xapp-epub-thumbnailer
%attr(755,root,root) %{_bindir}/xapp-gimp-thumbnailer
%attr(755,root,root) %{_bindir}/xapp-jxl-thumbnailer
%attr(755,root,root) %{_bindir}/xapp-mp3-thumbnailer
%attr(755,root,root) %{_bindir}/xapp-ora-thumbnailer
%attr(755,root,root) %{_bindir}/xapp-raw-thumbnailer
%attr(755,root,root) %{_bindir}/xapp-vorbiscomment-thumbnailer
%{py3_sitescriptdir}/XappThumbnailers
%{_datadir}/thumbnailers/xapp-appimage-thumbnailer.thumbnailer
%{_datadir}/thumbnailers/xapp-epub-thumbnailer.thumbnailer
%{_datadir}/thumbnailers/xapp-gimp-thumbnailer.thumbnailer
%{_datadir}/thumbnailers/xapp-jxl-thumbnailer.thumbnailer
%{_datadir}/thumbnailers/xapp-mp3-thumbnailer.thumbnailer
%{_datadir}/thumbnailers/xapp-ora-thumbnailer.thumbnailer
%{_datadir}/thumbnailers/xapp-raw-thumbnailer.thumbnailer
%{_datadir}/thumbnailers/xapp-vorbiscomment-thumbnailer.thumbnailer
%changelog
* Sun Mar 16 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xapp-thumbnailers.git;a=log;h=master

* Thu Mar 13 2025 Jakub Bogusz <qboosh@pld-linux.org> ac37977
- new

